﻿-- Inventory On Par --

--------------------------------------------------------------------------------------------------
-- Localized global variables
--------------------------------------------------------------------------------------------------

INVENTORY_SLOT_LIST = {
	{ name = "HeadSlot" , 			desc = "Head",			weight = 1.00, minLevel = 30, enchant = 1 },
    { name = "NeckSlot" , 			desc = "Neck",			weight = 0.55, minLevel = 30, enchant = 0 },
    { name = "ShoulderSlot" , 		desc = "Shoulders",		weight = 0.777, minLevel = 20, enchant = 1 },
    { name = "BackSlot" , 			desc = "Back",			weight = 0.55, minLevel = 1, enchant = 1 },
    { name = "ChestSlot" , 			desc = "Chest",			weight = 1.00, minLevel = 1, enchant = 1 },
--    { name = "ShirtSlot" , 		desc = "Shirt", weight = 0.00, minLevel = 1, enchant = 1 },
--    { name = "TabardSlot" , 		desc = "Tabard", weight = 0.00, minLevel = 1, enchant = 1 },
    { name = "WristSlot" , 			desc = "Wrist",			weight = 0.55, minLevel = 1, enchant = 1 },
    { name = "HandsSlot" , 			desc = "Hands",			weight = 0.777, minLevel = 1, enchant = 1 },
    { name = "WaistSlot" , 			desc = "Waist",			weight = 0.777, minLevel = 1, enchant = 0 },
    { name = "LegsSlot" , 			desc = "Legs",			weight = 1.00, minLevel = 1, enchant = 1 },
    { name = "FeetSlot" , 			desc = "Feet",			weight = 0.777, minLevel = 1, enchant = 1 },
    { name = "Finger0Slot" , 		desc = "1st Finger",	weight = 0.55, minLevel = 20, enchant = 2 },
    { name = "Finger1Slot" , 		desc = "2nd Finger",	weight = 0.55, minLevel = 20, enchant = 2 },
    { name = "Trinket0Slot" , 		desc = "1st Trinket",	weight = 0.70, minLevel = 50, enchant = 0 },
    { name = "Trinket1Slot" , 		desc = "2nd Trinket",	weight = 0.70, minLevel = 50, enchant = 0 },
    { name = "MainHandSlot" , 		desc = "Main Hand",		weight = 0.42, minLevel = 1, enchant = 1 },
    { name = "SecondaryHandSlot" , 	desc = "Off Hand",		weight = 0.55, minLevel = 1, enchant = 3 },
    { name = "RangedSlot" , 		desc = "Range Weapon",	weight = 0.30, minLevel = 1, enchant = 3 },
};
IOP_BUTTONTEXT = "On Par";
IOP_TH_AXE = "Two-Handed Axes";
IOP_TH_MACE = "Two-Handed Maces";
IOP_TH_SWORD = "Two-Handed Swords";
IOP_STAVES = "Staves";
IOP_POLEARMS = "Polearms";
IOP_BOWS = "Bows"
IOP_CROSSBOWS = "Crossbows"
IOP_DAGGERS = "Daggers"
IOP_GUNS = "Guns"
IOP_FISHING = "Fishing Poles"
IOP_FIST = "Fist Weapons"
IOP_MISC = "Miscellaneous"
IOP_OH_AXE = "One-Handed Axes"
IOP_OH_MACE = "One-Handed Maces"
IOP_OH_SWORD = "One-Handed Swords"
IOP_THROWN = "Thrown"
IOP_WANDS = "Wands" 
IOP_WEAPON = "Weapon"
IOP_ARMOUR = "Armor"
IOP_IDOL = "Idols"
IOP_TOTEM = "Totems"
IOP_LIBRAM = "Librams"
IOP_ENCHANTING = "Enchanting"

IOP_POOR = "Poor";
IOP_COMMON = "Common";
IOP_UNCOMMON = "Uncommon";
IOP_RARE = "Rare";
IOP_EPIC = "Epic";
IOP_LEGENDARY = "Legendary";
IOP_ARTIFACT = "Artifact";
IOP_UNKNOWN = "Unknown";

IOP_NOTFOUND = "not found";
IOP_NOENCHANT = "No Enchant";
IOP_NOGUILD = "-No Guild Recorded-";
IOP_TOOLTIPHEADER1 = "Inventory Status : (Player Level : ";
IOP_TOOLTIPHEADER2 = " Kit Level : ";
IOP_SLOTEMPTY = " Slot Empty";
IOP_SCORETEXT = "Inventory On Par Score : ";

-- Get the client language
local clientLanguage = GetLocale();

-- Check the client language
if (clientLanguage == "deDE") then
	INVENTORY_SLOT_LIST = {
	{ name = "HeadSlot" , 			desc = "Kopf", 			weight = 1.00, minLevel = 30, enchant = 1 },
	{ name = "NeckSlot" , 			desc = "Hals", 			weight = 0.55, minLevel = 30, enchant = 0 },
	{ name = "ShoulderSlot" , 		desc = "Schultern", 	weight = 0.777, minLevel = 20, enchant = 1 },
	{ name = "BackSlot" , 			desc = "R\195\188cken", weight = 0.55, minLevel = 1, enchant = 1 },
	{ name = "ChestSlot" , 			desc = "Brust", 		weight = 1.00, minLevel = 1, enchant = 1 },
	-- { name = "ChestSlot" , 		desc = "Hemd" },
	-- { name = "TabardSlot" , 		desc = "Wappenrock" },
	{ name = "WristSlot" , 			desc = "Handgelenke", 	weight = 0.55, minLevel = 1, enchant = 1 },
	{ name = "HandsSlot" , 			desc = "H\195\164nde", 	weight = 0.777, minLevel = 1, enchant = 1 },
	{ name = "WaistSlot" , 			desc = "Taille", 		weight = 0.777, minLevel = 1, enchant = 0 },
	{ name = "LegsSlot" , 			desc = "Beine", 		weight = 1.00, minLevel = 1, enchant = 1 },
	{ name = "FeetSlot" , 			desc = "F\195\188\195\159e", weight = 0.777, minLevel = 1, enchant = 1 },
	{ name = "Finger0Slot" , 		desc = "1. Finger", 	weight = 0.55, minLevel = 20, enchant = 2 },
	{ name = "Finger1Slot" , 		desc = "2. Finger", 	weight = 0.55, minLevel = 20, enchant = 2 },
	{ name = "Trinket0Slot" , 		desc = "1. Schmuck", 	weight = 0.70, minLevel = 50, enchant = 0 },
	{ name = "Trinket1Slot" , 		desc = "2. Schmuck", 	weight = 0.70, minLevel = 50, enchant = 0 },
	{ name = "MainHandSlot" , 		desc = "Waffenhand", 	weight = 0.42, minLevel = 1, enchant = 1 },
	{ name = "SecondaryHandSlot" , 	desc = "Schildhand", 	weight = 0.55, minLevel = 1, enchant = 3 },
	{ name = "RangedSlot" , 		desc = "Distanz",       weight = 0.30, minLevel = 1, enchant = 3 },
	};
	IOP_TH_AXE = "Zweihand\195\164xte";
	IOP_TH_MACE = "Zweihandstreitkolben";
	IOP_TH_SWORD = "Zweihandschwerter";
	IOP_STAVES = "St\195\164be";
	IOP_POLEARMS = "Stangenwaffen";

	-- Added in v8.1 
	IOP_BOWS = "B\195\182gen"
	IOP_CROSSBOWS = "Armbr\195\188ste"
	IOP_DAGGERS = "Dolche"
	IOP_GUNS = "Gewehre"
	IOP_FISHING = "Angelruten"
	IOP_FIST = "Faustwaffen"
	IOP_MISC = "Verschiedenes"
	IOP_OH_AXE = "Einhand-\195\132xte"
	IOP_OH_MACE = "Einhand-Streitkolben"
	IOP_OH_SWORD = "Einhand-Schwerter"
	IOP_THROWN = "Wurfwaffen"
	IOP_WANDS = "Zauberstab" 
	IOP_WEAPON = "Waffe"
	IOP_ARMOUR = "R\195\188stung"
	IOP_IDOL = "G\195\182tze"
	IOP_TOTEM = "Totems"
	IOP_LIBRAM = "Buchband"
	IOP_ENCHANTING = "Verzauberung"
	
	IOP_POOR = "Plunder";
	IOP_COMMON = "Gew\195\182hnlich";
	IOP_UNCOMMON = "Ungew\195\182hnlich";
	IOP_RARE = "Selten";
	IOP_EPIC = "Episch";
	IOP_LEGENDARY = "Legend\195\164r";
	IOP_ARTIFACT = "Artefakt";
	IOP_UNKNOWN = "Unbekannt";
	
	IOP_NOTFOUND = "not found";
	IOP_NOENCHANT = "No Enchant";
	IOP_NOGUILD = "-No Guild Recorded-";
	IOP_TOOLTIPHEADER1 = "Inventory Status : (Player Level : ";
	IOP_TOOLTIPHEADER2 = " Kit Level : ";
	IOP_SLOTEMPTY = " Slot Empty";
    IOP_SCORETEXT = "Inventory On Par Score : ";
end
